CFB_RequireFullDataBlocks< BASE > Class Template Reference

Base class for feedback based stream ciphers with a mandatory block size. More...

Inheritance diagram for CFB_RequireFullDataBlocks< BASE >:

## Public Member Functions

unsigned int | MandatoryBlockSize () const

## Detailed Description

### template<class BASE>
class CFB_RequireFullDataBlocks< BASE >

Base class for feedback based stream ciphers with a mandatory block size.

Template Parameters

  BASE | CFB_EncryptionTemplate or CFB_DecryptionTemplate base class

Definition at line 663 of file strciphr.h.

The documentation for this class was generated from the following file:

- strciphr.h